import requests

def check(account_id: str):
    url = f"https://ffapi-gamma.vercel.app/api/ban_check/{account_id}"

    try:
        response = requests.get(url)
        if response.status_code == 200:
            data = response.json()
            if data.get("is_banned"):
                print("Your account is banned.")
            else:
                print("Your account is not banned.")
        else:
            print(f"Failed to fetch data. Status code: {response.status_code}")
    except Exception as e:
        print(f"An error occurred: {e}")
